/*
   Kickshaw - A Menu Editor for Openbox

   Copyright (c) 2010–2021        Marcus Schätzle

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.    g_free (filename);

   You should have received a copy of the GNU General Public License along 
   with Kickshaw. If not, see http://www.gnu.org/licenses/.
*/

#ifndef __save_menu_h
#define __save_menu_h

extern ks_data ks;

extern guint8 check_if_invisible_ancestor_exists (GtkTreeModel *local_model, GtkTreePath *local_path);
extern GtkWidget *create_dialog (GtkWidget **dialog, const gchar *dialog_title, const gchar *icon_name, const gchar *label_txt, 
                                 const gchar *button_txt_1, const gchar *button_txt_2, const gchar *button_txt_3, 
                                 const gboolean show_immediately);
extern void create_file_dialog (GtkWidget **dialog, const gboolean open);
extern void delete_autosave (void);
extern void free_elements_of_static_string_array (gchar **string_array, gint8 number_of_fields, const gboolean set_to_NULL);
extern void set_filename_and_window_title (gchar *new_filename);
extern void show_errmsg (const gchar *errmsg_raw_txt);
extern void show_notice_dialog (gchar *dialog_title, gchar *icon_name, gchar *label_txt, gchar *button_txt);
extern gboolean streq_any (const gchar *string, ...) G_GNUC_NULL_TERMINATED;

#endif
